## ECellPopup ECellPopup |

## Functions

ECell * | e_cell_popup_new ()
ECell * | e_cell_popup_get_child ()
void | e_cell_popup_set_child ()
void | e_cell_popup_set_shown ()
void | e_cell_popup_queue_cell_redraw ()

## Types and Values

struct | ECellPopupView

## Description

## Functions

### e_cell_popup_new ()

    ECell *
    e_cell_popup_new (void);

`e_cell_popup_new` is deprecated and should not be used in newly-written code.

Creates a new ECellPopup renderer.

#### Returns

an ECellPopup object.

### e_cell_popup_get_child ()

    ECell *
    e_cell_popup_get_child (ECellPopup *ecp);

`e_cell_popup_get_child` is deprecated and should not be used in newly-written code.

### e_cell_popup_set_child ()

    void
    e_cell_popup_set_child (ECellPopup *ecp,
                            ECell *child);

`e_cell_popup_set_child` is deprecated and should not be used in newly-written code.

### e_cell_popup_set_shown ()

    void
    e_cell_popup_set_shown (ECellPopup *ecp,
                            gboolean shown);

`e_cell_popup_set_shown` is deprecated and should not be used in newly-written code.

### e_cell_popup_queue_cell_redraw ()

    void
    e_cell_popup_queue_cell_redraw (ECellPopup *ecp);

`e_cell_popup_queue_cell_redraw` is deprecated and should not be used in newly-written code.

## Types and Values

### struct ECellPopupView

    struct ECellPopupView {
    	ECellView cell_view;

    	ECellView *child_view;
    };

`ECellPopupView` is deprecated and should not be used in newly-written code.